The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get the Packet Capture Details

Prev Next

This URL gets the packet capture details.

Resource URL

suricata/pcap/sensor/<sensor_name>/alert/<alert_ID>

Request Parameters

URL parameters:

Field Name

Description

Data Type

Mandatory

sensor_name

Name of the Sensor

String

Yes

alert_ID

Alert ID details

Number

Yes

Response Parameters

Following fields are returned if the request parameters are correct.

Field Name

Description

Data Type

sensorNodeName

Name of the Sensor node

String

suricataAlertId

Alert ID of Suricata Sensor

String

packetlogFileName

File name of packet log

String

packetData

Details of packet capture

String

creationTime

Timestamp of creation

Number

Example

Request

GET https://<IPSM_IP>/sdkapi/suricata/pcap/sensor/NS9600_128/alert/0301-188a87

Response

{    
    "sensorNodeName": "NS9600_128",    
    "suricataAlertId": "0301-188a87",    
    "packetlogFileName": "NS9600_128-90e7.pcap",    
    "packetData": <packetData>,    
    "creationTime": 1764798448000
}

Error Information

The following error code is returned by this URL:

S.No

Generic Error Codes

ErrorMessage

Error Reason

1

1001

Bad URL - HTTP 404 Not Found

Mistyped URL

Internal Error – Null

Incorrect Input data, authentication issues